---

# SPDX-FileCopyrightText: 2021 Anuket contributors
#
# SPDX-License-Identifier: Apache-2.0

idf:
  version: 0.1
  net_config: &net_config
    oob:
      interface: 0
      network: 10.10.190.0
      gateway: 10.10.190.1
      vlan: native
      mask: 24
      dns:
        - 8.8.8.8
    public:
      interface: 1
      network: 10.10.191.0
      vlan: native
      mask: 24
      dns:
        - 8.8.8.8
  kubespray: &idf_kubespray
    nodes_roles:
      node1: [k8s-cluster, kube-master, etcd, vault]
      node2: [k8s-cluster, kube-master, etcd]
      node3: [k8s-cluster, kube-master, etcd]
      node4: [k8s-cluster, kube-node]
      node5: [k8s-cluster, kube-node]
    groups:
      k8s-cluster:
        - kube-node
        - kube-master
    hostnames:
      node1: node1
      node2: node2
      node3: node3
      node4: node4
      node5: node5
    network:
      # network mapping
      network_mapping:
        net_admin: oob
        # Public network
        net_public: oob
        # Management network used by installer components to communicate
        net_mgmt: oob

engine:
  pod_name: pod19-jump
  net_config: *net_config

  # net_config network to be used by the PXE
  pxe_network: oob

  # net_config network to be used for the internet access
  public_network: public

  # interface to be used by the PXE
  pxe_interface: ens1f0

  installers:
    kubespray: *idf_kubespray

bmra:
  profile: full_nfv
  network_roles:
    sriov:
      - name: eth0
        pci: "18:00.0"
        pf_driver: i40e
        vf_driver: vfio-pci
    sriov_dpdk:
      - name: eth1
        pci: "18:00.1"
        pf_driver: i40e
        vf_driver: iavf
  device_roles:
#    qat:
#      - name: crypto01
#        pci: "0000:ab:00.0"
#        pci_type: c6xx
#        vfs: 4
  runtime: docker # 'docker' and 'containerd' supported
  features:
    sriov:
      enable: true
      sriov_vfs_per_port: 2
      sriov_dpdk_vfs_per_port: 4
    sriov_cni: true
    sriov_net_dp: true
    hugepages:
      enable: true
      default: 2M
      amount: 10240
    isolcpus:
      enable: true
      autogenerate: true
      cpus: "4-19,24-39,44-59,64-79" # Not used when autogenerate is true
    nfd: true
    cmk:
      enable: true
      num_shared_cores: 3
      num_exclusive_cores: 3
    topology_manager:
      enable: true
      policy: "best-effort"
    tas:
      enable: true
      demo_policy: false
    bond_cni: true
    psp: true
    qat:
      enable: false
      update_drivers: false
